Subject: Re: [RFC] TCP congestion schedulers

From: Olaf Kirch <[email-masked]>
Date: Tue, 22 Mar 2005 02:41:54 +0100

On Mon, Mar 21, 2005 at 04:10:36PM -0800, Rick Jones wrote:
> I would put-forth netperf - but then I'm of course biased.  It is 

I think that was one of the benchmarks where the ia64 slowdown with
LSM was diagnosed; netperf suffered some 10-15% degradation. And that was
just with the capability module loaded, no fancy stuff going on.
After we hacked up LSM to inline the capability checks in the default
case, performance was back to normal.

We didn't bother to pin-point where the loss actually occured, but my
suspicion is the major offender was the per-skb check.

Olaf
-- 
Olaf Kirch   |  --- o --- Nous sommes du soleil we love when we play
[email-masked] |    / | \   sol.dhoop.naytheet.ah kin.ir.samse.qurax